| 0.9.9 API documentation

- Main Page
- Modules
- Files

- File List

Functions
matrix_interpolation.hpp File Reference

GLM_GTX_matrix_interpolation More...

Go to the source code of this file.

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL void | axisAngle (mat< 4, 4, T, Q > const &Mat, vec< 3, T, Q > &Axis, T &Angle)
| Get the axis and angle of the rotation from a matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | axisAngleMatrix (vec< 3, T, Q > const &Axis, T const Angle)
| Build a matrix from axis and angle. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | extractMatrixRotation (mat< 4, 4, T, Q > const &Mat)
| Extracts the rotation part of a matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | interpolate (mat< 4, 4, T, Q > const &m1, mat< 4, 4, T, Q > const &m2, T const Delta)
| Build a interpolation of 4 * 4 matrixes. More...

## Detailed Description

GLM_GTX_matrix_interpolation

Author
  Ghenadii Ursachi (the.a.nosp@m.ster.nosp@m.oth@g.nosp@m.mail.nosp@m..com)

See also
  Core features (dependence)

Definition in file matrix_interpolation.hpp.